* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

p {
  text-decoration: none;
}

a {
  text-decoration: none;
}

html {
  font-family: "Poppins", sans-serif;
  overflow-x: hidden;
}

body {
  overflow-x: hidden;
}

.hero-container {
  background: var(--primary);
  width: 100%;
}

.hero-ringscontainer {
  width: 100%;
  padding-top: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero-ringscontainer img {
  width: 150px;
}

.hero-header {
  width: 100%;
  background-image: var(--gold_gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
  font-size: 62px;
  font-weight: bold;
  padding-top: 50px;
}

.hero-header h1 {
  text-align: center;
  font-family: "Crimson Text", serif;
  font-size: 90px;
  line-height: 1;
}

.header span {
  font-size: 120px;
}

.hero-flowers {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hero-flowers img {
  width: 850px;
}

.pendant-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin-top: -300px;
}

.pendant-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.pendant-across {
  width: 400px;
  height: 5px;
  background-image: var(--gold_gradient);
}

.pendant-down {
  width: 5px;
  height: 370px;
  background-image: var(--gold_gradient);
}

.info-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.info-wrapper {
  width: 100%;
}


.img-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.img-container img {
  width: 300px;
}

.text-info-container {
  width: 100%;
  position: relative;
}

.background-container {
  width: 100%;
  overflow-x: hidden;
}

.info-background {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  position: absolute;
  justify-content: space-between;
  z-index: -5;
}

.info-background img {
  height: 100%;
}


.text-info-wrapper {
  width: 100%;
}

.text-info-wrapper h2 {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  text-align: center;
  font-size: 35px;
  color: var(--primary);
}

.text-info-wrapper h3 {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  text-align: center;
  font-size: 35px;
  margin-top: 50px;
  margin-bottom: 50px;
  color: var(--primary);
}

.ourNames {
  width: 100%;
  display: flex;
  border: 1px solid red;
}

.text-info-wrapper h1 {
  font-family: "Great Vibes", cursive;
  font-weight: 400;
  text-align: center;
  font-size: 80px;
  margin-top: 50px;
  margin-bottom: 50px;
  color: var(--primary);
}



.info-date {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.day {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  text-align: right;
  font-size: 40px;
  color: var(--primary);
  line-height: 1;
  padding: 40px;
}

.date {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  text-align: right;
  font-size: 85px;
  color: var(--primary);
  padding: 40px;
}

.month {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  text-align: left;
  font-size: 40px;
  color: var(--primary);
  line-height: 1;
  padding: 40px;
}

.info-date span {
  width: 3px;
  height: 80px;
  background-color: var(--primary);
  margin: 0 1px;
}

.place p {
  font-family: "Poppins", sans-serif;
  font-weight: 200;
  text-align: center;
  font-size: 40px;
  color: var(--primary);
  line-height: 1.1;
  padding: 40px;
  text-decoration: none;
}

.rsvp-container {
  width: 100%;
  background-color: var(--secondary);
}

.rsvp-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 40px;
}

.rsvp-wrapper p {
  font-family: "Poppins", sans-serif;
  color: white;
}

.click-here {
  text-align: center;
  font-size: 20px;
  font-weight: 200;
}

.due-date {
  font-family: "Poppins", sans-serif;
  text-align: center;
  font-size: 30px;
  font-weight: 400;
}

.rsvp-btn {
  width: 150px;
  background-color: white;
  border: none;
  text-decoration: none;
  padding: 10px 20px;
  margin: 15px 0px;
  text-align: center;
  font-family: "Poppins", sans-serif;
  font-size: 18px;
  font-weight: 500;
  border-radius: 6px;
  color: var(--secondary);
  cursor: pointer;
}

.rsvp-btn:hover {
  background-color: var(--secondary);
  border: 1px solid white;
  color: white;
  cursor: pointer;
}

.event-schedule-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  background-color: var(--primary);
}

.event-schedule-wrapper {
  width: 100%;
  padding: 150px 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.event-schedule-wrapper img {
  width: 800px;
}

.cash-bar {
  font-family: "Poppins", sans-serif;
  text-align: center;
  font-size: 40px;
  font-weight: 600;
  color: var(--secondary);
  padding-top: 100px;
}

.celebrate {
  font-family: "Poppins", sans-serif;
  text-align: center;
  font-size: 60px;
  font-weight: 600;
  background-image: var(--gold_gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
}

.kid-free-container {
  background-color: var(--secondary);
  padding: 50px 0;
  text-align: center;
  color: white;
  font-size: 30px;
}

@media (max-width: 1008px) {
  .hero-ringscontainer {
    padding-top: 30px;

  }

  .hero-ringscontainer img {
    width: 80px;
  }

  .hero-header h1 {
    font-size: 50px;
  }

  .header span {
    font-size: 70px;
  }

  .hero-flowers img {
    width: 100%;
  }

  .pendant-container {
    margin-top: -150px;
  }

  .pendant-across {
    width: 200px;
    height: 3px;
    background-image: var(--gold_gradient);
  }

  .pendant-down {
    width: 3px;
    height: 200px;
    background-image: var(--gold_gradient);
  }

  .img-container img {
    width: 200px;
  }

  .text-info-wrapper h2 {
    font-size: 25px;
    padding-top: 30px;
  }

  .text-info-wrapper h3 {
    font-size: 25px;
  }

  .text-info-wrapper h1 {
    font-size: 40px;
    margin-top: 30px;
    margin-bottom: 30px;
  }

  .day,
  .month {
    font-size: 20px;
    padding: 20px;
  }

  .date {
    font-size: 55px;
    padding: 20px;
  }


  .info-date span {
    width: 1px;
    height: 50px;
    margin: 0 0.5px;
  }

  .place p {
    font-size: 20px;
    padding: 20px;
  }

  .click-here {
    font-size: 14px;
  }

  .due-date {
    font-size: 17px;
  }

  .rsvp-btn {
    width: 100px;
    padding: 5px 10px;
    margin: 15px 0px;
    font-size: 14px;
    font-weight: 500;
    border-radius: 4px;
  }

  .event-schedule-wrapper {
    padding: 100px 20px;
  }

  .event-schedule-wrapper img {
    width: 300px;
  }

  .cash-bar {
    font-size: 25px;
    padding-top: 50px;
  }

  .celebrate {
    font-size: 35px;
  }

  .kid-free-container {
    padding: 30px 0;
    font-size: 15px;
  }
}